Create Resident Charge: Yardi
https://api.propexo.com/v1/resident-charges/yardi/| Interface | Method |
|---|---|
| Billing and Payments | ImportCharge_Login |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the resident
The Propexo unique identifier for the unit
The Propexo unique identifier for the financial account
The Propexo ID for the charge code associated with this new charge
The transaction date of the resident charge
The post month for the resident charge. We will strip all data out of the datetime except the year and month.
Show 2 variants
The amount of the resident charge, in cents
Description of the resident charge
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the resident
The Propexo unique identifier for the unit
The Propexo unique identifier for the financial account
The Propexo ID for the charge code associated with this new charge
The transaction date of the resident charge
The post month for the resident charge. We will strip all data out of the datetime except the year and month.
Show 2 variants
The amount of the resident charge, in cents
Description of the resident charge
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-charges/yardi/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"resident_id": "string",
"unit_id": "string",
"financial_account_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"resident_id": "string",
"unit_id": "string",
"financial_account_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"post_month": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"description": "string"
}
}